Python SDK
import httpx
resp = httpx.post(
"https://api.decimal.ai/api/v1/datasets",
headers={"Authorization": "Bearer dai_sk_..."},
json={"name": "my-sft-data", "dataset_type": "sft", "training_target_agent": "my-agent"},
)
resp.raise_for_status()
print(resp.json()["dataset_id"])curl --request POST \
--url https://api.decimal.ai/api/v1/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.decimal.ai/api/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"dataset_id": "ds_abc123",
"name": "my-sft-data",
"dataset_type": "sft"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
Create a dataset
Create a new dataset.
Supports X-Idempotency-Key for safe retries — within 60s, a request with
the same key returns the original response instead of creating a duplicate.
POST
/
api
/
v1
/
datasets
Python SDK
import httpx
resp = httpx.post(
"https://api.decimal.ai/api/v1/datasets",
headers={"Authorization": "Bearer dai_sk_..."},
json={"name": "my-sft-data", "dataset_type": "sft", "training_target_agent": "my-agent"},
)
resp.raise_for_status()
print(resp.json()["dataset_id"])⌘I